@cryptotaxi247 / kubo / commits / eee15baeb

remove test-sharness-config

Juan Batiz-Benet committed Nov 6, 2014 at 16:49 UTC eee15baeb657803f267584b0331262c37791627f
4 files changed +4 -27
test/install-sharness.sh
+2
@@ -46,4 +46,6 @@ fi
46 # ok, move things into place
47 mv $sfile.test $sfile
48 mv $afile.test $afile
49 +chmod +x $sfile
50 +chmod +x $afile
51 exit 0
test/test-aggregate-results.sh
+1 -3
@@ -6,9 +6,7 @@
6 # MIT Licensed; see the LICENSE file in this repository.
7 #
8
9 -. ./test-sharness-config.sh
10 -
11 -SHARNESS_AGGREGATE="$SHARNESS_DIRECTORY/aggregate-results.sh"
9 +SHARNESS_AGGREGATE="./aggregate-results.sh"
10
11 test -f "$SHARNESS_AGGREGATE" || {
12 echo >&2 "Cannot find: $SHARNESS_AGGREGATE"
test/test-lib.sh
+1 -1
@@ -6,7 +6,7 @@
6 # We are using sharness (https://github.com/mlafeldt/sharness)
7 # which was extracted from the Git test framework.
8
9 -. ./test-sharness-config.sh
9 +SHARNESS_LIB="./sharness.sh"
10
11 . "$SHARNESS_LIB" || {
12 echo >&2 "Cannot source: $SHARNESS_LIB"
test/test-sharness-config.sh deleted
-23
@@ -1,23 +0,0 @@
1 -# Copyright (c) 2014 Christian Couder
2 -# MIT Licensed; see the LICENSE file in this repository.
3 -#
4 -# We are using sharness (https://github.com/mlafeldt/sharness)
5 -# which was extracted from the Git test framework.
6 -
7 -# You need either sharness to be installed system-wide or
8 -# to set the SHARNESS_DIRECTORY environment variable properly.
9 -
10 -if test -z "$SHARNESS_DIRECTORY"
11 -then
12 - SHARNESS_DIRECTORY=/usr/local/share/sharness
13 -fi
14 -
15 -SHARNESS_LIB="$SHARNESS_DIRECTORY/sharness.sh"
16 -
17 -test -f "$SHARNESS_LIB" || {
18 - echo >&2 "Cannot find sharness.sh in: $SHARNESS_DIRECTORY"
19 - echo >&2 "Please install Sharness system-wide or set the"
20 - echo >&2 "SHARNESS_DIRECTORY environment variable."
21 - echo >&2 "See: https://github.com/mlafeldt/sharness"
22 - exit 1
23 -}